function algebraic_complexity = complexity(concept,weighting)
% Computes the algebraic complexity of concept.
% Note: this function first computes the power series. If you already have the power series,
% use COMPLEXITY_OF_SERIES(SERIES,WEIGHTING) for greater efficiency. 
% See documentation for COMPLEXITY_OF_SERIES for more information.
%
% If you want to compute complexity with a particular duality and
% feature_grid, use e.g.:
%   series = power_series(my_concept,duality,feature_grid);
%   complexity_of_series(series)
series = power_series(concept);
if nargin==1, weighting='K+1'; end;  % default
algebraic_complexity = complexity_of_series(series,weighting);