function make_feature_grid(desired_feature_grid);
% MAKE_FEATURE_GRID installs the new feature_grid (global)
% and also computes the lexicographically-ordered master list
% of polynomials for that feature_grid (global regularity_list).

% Remark:
% The motivation here is that computing the regularity_sequence is
% time-consuming for high D, so we only do it once, when feature_grid
% is set or changed, rather than with each concept. 
global feature_grid;
global regularity_sequence;
global current_concept;
feature_grid = desired_feature_grid;
regularity_sequence = private_regularity_sequence(feature_grid);
current_concept = []; % note we have to reset current_concept, otherwise confusion will reign.