function within = private_within_shaded_area(Polynomial,Object)
% determines whether Object lies within the area defined by Polynomial
    % a polynomial demarks an area of the grid. This 
    % function determines whether Object is in Polynomial's shaded area
    % [In duality = ruleout, this is prohibited; in disj, this is allowed]
% Polynomial = 1 x D+1 vector of values (last of which is simply K; ignore)
%   some of which are -1, which means "don't care"
% Object is a 1xD vector of values
%---------------------------------------
global feature_grid;
i = 1:length(Object);
within = (min((Object(i) == Polynomial(i)) | (Polynomial(i) == -1)) == 1);
